#
# spec file for package dds2tar
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dds2tar
Version:        2.5.2
Release:        1333.6
Summary:        DDS2 Tape Streamer Utilities
License:        GPL-2.0-or-later
Group:          Productivity/Archiving/Backup
URL:            http://www.eulesoft.de/
Source:         http://www.eulesoft.de/dds2tar-%{version}.tar.gz
Patch0:         dds2tar-%{version}.dif
Patch1:         %{name}-%{version}-without-kernel-header.diff

%description
A tool for quick extraction of individual files from a DDS2 streamer.
dds2tar can control data compression for HP DAT streamers.

%prep
%autosetup -p0

%build
%make_build CC="cc %{optflags} -fno-strict-aliasing"

%install
%make_install MANDIR=%{_mandir}

%files
%license COPYING
%doc README Changes
%{_bindir}/dds-dd
%{_bindir}/dds2index
%{_bindir}/dds2tar
%{_bindir}/ddstool
%{_bindir}/mt-dds
%{_bindir}/scsi_vendor
%{_mandir}/man1/dds-dd.1%{?ext_man}
%{_mandir}/man1/dds2index.1%{?ext_man}
%{_mandir}/man1/dds2tar.1%{?ext_man}
%{_mandir}/man1/mt-dds.1%{?ext_man}

%changelog
* Thu Jun  8 2023 Martin Pluskal <mpluskal@suse.com>
- Spec file modernisation
* Mon Sep  4 2017 mpluskal@suse.com
- Small packaging adjustements
* Sun Apr 12 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
- Use %%_smp_mflags for parallel build
* Fri Nov 10 2006 ro@suse.de
- fix manpage permissions
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
* Thu Sep 30 2004 postadal@suse.cz
- removed dependency on kernel-source and set macro ST_BUFFER_BLOCKS on default value 32 (without-kernel-header.diff)
* Sun Apr 25 2004 ro@suse.de
- use RPM_OPT_FLAGS
- add no-strict-aliasing
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Wed Jun  6 2001 adostal@suse.cz
- fixed neededforbuild
* Thu Apr  5 2001 cihlar@suse.cz
- fixed neededforbuild
* Thu Feb  8 2001 cihlar@suse.cz
- fixed neededforbuild
* Tue Oct 31 2000 cihlar@suse.de
- updated to version 2.5.2
- fixed copyright tag
- used %%{_mandir}
* Mon May 15 2000 cihlar@suse.cz
- Group sorted
* Tue Apr  4 2000 cihlar@suse.cz
- added BuildRoot
* Mon Jan 17 2000 ro@suse.de
- man -> usr/share/man
* Thu Oct 28 1999 ro@suse.de
- filelist fixed
* Wed Oct 27 1999 ro@suse.de
- created package (version 2.4.21)
